Skip to main content
`Ctrl`+`K`

# PetscSpacePolynomialSetTensor

Set whether a function space is a space of tensor polynomials.

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpacePolynomialSetTensor(PetscSpace sp, PetscBool tensor)

## Input Parameters

- sp - the function space object

- tensor - `PETSC_TRUE` for a tensor polynomial space, `PETSC_FALSE` for a polynomial space

## Options Database Key

- -petscspace_poly_tensor <bool> - Whether to use tensor product polynomials in higher dimension

## Notes

It is a tensor space if it is spanned by polynomials whose degree in each variable is bounded by the given order, as opposed to the space spanned by polynomials whose total degree—summing over all variables—is bounded by the given order.

## See Also

`PetscSpace`, `PetscSpacePolynomialGetTensor()`, `PetscSpaceSetDegree()`, `PetscSpaceSetNumVariables()`

## Level

intermediate

## Location

src/dm/dt/space/impls/poly/spacepoly.c

## Implementations

PetscSpacePolynomialSetTensor_Polynomial() in src/dm/dt/space/impls/poly/spacepoly.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages